seo:
  title: 'SaaS: Software-as-a-Service: Die Zukunft der Software-Delivery'
  description: >-
    Was ist SaaS, wie teuer ist die Nutzung und sollte ich es nutzen? Hier
    findest du Antworten.
  ogTitle: 'SaaS: Software-as-a-Service: Die Zukunft der Software-Delivery'
  ogDescription: >-
    Was ist SaaS, wie teuer ist die Nutzung und sollte ich es nutzen? Hier
    findest du Antworten.
  noIndex: false
  ogImage: images/blog/hero-images/AdobeStock_322666102.jpeg
  ogUrl: >-
    https://about.gitlab.com/blog/software-as-a-service-the-future-of-software-delivery
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/software-as-a-service-the-future-of-software-delivery
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "SaaS: Software-as-a-Service: Die Zukunft der Software-Delivery",
            "author": [{"@type":"Person","name":"GitLab Germany Team"}],
            "datePublished": "2024-11-06",
          }

content:
  title: 'SaaS: Software-as-a-Service: Die Zukunft der Software-Delivery'
  description: >-
    Was ist SaaS, wie teuer ist die Nutzung und sollte ich es nutzen? Hier
    findest du Antworten.
  authors:
    - GitLab Germany Team
  heroImage: images/blog/hero-images/AdobeStock_322666102.jpeg
  date: '2024-11-06'
  body: "Langsam aber sehr sicher löst SaaS das konventionelle On-Premise-Modell auch in der Softwareentwicklung ab. Alleine Amazon erzielte mit Software-as-a-Service 2024 weltweit einen Umsatz von 244 Milliarden US-Dollar. Auch in Deutschland wächst die SaaS-Branche und wird in diesem Jahr laut Prognosen zu Software as a Service einen Umsatz von 13,26 Mrd. € erreichen. \n\nHierbei handelt es sich nicht um kurzfristige Trends. Frühe Vorläufer von SaaS reichen bis in die 1990er Jahre zurück und das Konzept dahinter hat seine Wurzeln sogar in den 70er Jahren. Seitdem hat der Sektor kontinuierlich an Bedeutung hinzugewonnen. Viele halten ihn schlichtweg für die Zukunft der Software-Delivery.\n\nSehr wahrscheinlich nutzt du in deinem Unternehmen bereits heute Software-as-a-Service, ohne den Begriff direkt einordnen zu können. In unserer umfangreichen Übersicht erfährst du alles, was du zum Thema wissen musst – von möglichen Alternativen bis hin zu Empfehlungen, wie du SaaS so einsetzt, dass es deine Ziele als Entwickler(in) oder Manager(in) optimal unterstützt.\n\nFangen wir jedoch mit der offensichtlichsten Frage an: *Was ist SaaS?*\n\n## Was ist Software-as-a-Service?\n\nGemäß einer einfachen SaaS-Definition ist Software-as-a-Service ein Modell, bei dem Software nicht mehr als abgeschlossenes Produkt betrachtet, das im Einzelhandel erworben und dann lokal auf deinem Rechner installiert wird, sondern als fortlaufende Dienstleistung.\n\nDie früher übliche Lösung wird gemeinhin als \"On Premise\" bezeichnet, weil die Software noch in den Räumlichkeiten und auf der Hardware der Anwender(innen) gespeichert und ausgeführt wurde.\nBei SaaS hingegen erfolgt der Zugriff gemeinhin über die Cloud und der/die Herausgeber(in) kümmert sich um nahezu alle Aspekte der Software:\n\n- Das Hosting und die stabile Nutzung der Anwendung\n\n- Fortlaufende Updates und Weiterentwicklung\n\n- Unterstützung bei Anliegen und Fragen\n\nDie Abrechnung erfolgt in der Regel auf einem Abonnement-Modell. Das heißt: Du bezahlst die anfallenden Gebühren entweder monatlich, auf Quartalsbasis oder jährlich. Es sind aber auch nutzungsbasierte oder komplett kostenlose Varianten denkbar.\n\n## Beispiele für SaaS\n\nEin erstes auf breiter Basis genutztes Software-as-a-Service-Beispiel war der Wettstreit Google Docs vs Office Online. Im Jahr 2006 eingeführt, bot Google mit seinem Docs-Paket den damals revolutionären kostenfreien mobilen Zugriff auf grundlegende Office-Funktionen. Microsoft zog kurz danach mit Office Online nach und inzwischen ist Software-as-a-Service eher der De-facto-Standard als eine Ausnahme. \n\nWeitere Beispiele für SaaS sind: Mailchimp (Versenden von Newslettern), NetSuite (Finanzplanung und Rechnungswesen), die SAP S/4HANA Cloud (Financial Analytics), Shopify (E-Commerce), Slack (Ideenaustausch und Kollaboration). Mehr dazu findest du in diesem Computerwoche-Artikel. \nUnd natürlich handelt es sich auch bei GitLab um ein SaaS-Angebot. Erfahre mehr über unsere kostenlose 30-Tage-GitLab-Ultimate-Testversion.\n\n## Was sind die Hauptmerkmale von SaaS?\n\nWie bereits aus Google Docs hervorgeht, ist das zentrale Element von SaaS für die meisten Anwender(innen) der webbasierte Zugriff auf bestimmte Leistungen.\nHieraus ergeben sich folgende Aspekte:\n\n__Multi Tenancy:__ Ins Deutsche zumeist etwas ungelenk als „Mehrmandantenfähigkeit” übersetzt, bezeichnet Multi Tenancy schlicht die Funktionalität, dass mehrere Kund(inn)en auf dieselbe Kopie der Software zugreifen. Das lokale Kopieren und Installieren  von\tLizenzen entfällt.\n__\nMobiler Zugriff:__ SaaS erlaubt es, von den meisten onlinefähigen Geräten auf die Software zuzugreifen. Der Arbeitsplatz im Büro wird damit optional, die Funktionen der Anwendung stehen dir fortan (nahezu) überall und jederzeit zur Verfügung. \n\n__Kollaboration:__ Gerade in agilen Unternehmen, in denen Mitglieder eines Teams gemeinsam an einem Projekt arbeiten, synchronisiert SaaS die geteilte Arbeit und sorgt für eine kontinuierliche Aktualisierung der Daten.\n\nSaaS ist das wohl erfolgreichste Kind der Cloud. Doch es ist nicht das einzige. Im Zusammenhang mit SaaS fallen oftmals zwei ähnliche Abkürzungen: IaaS und PaaS.\n\n## Wie unterscheiden sich SaaS, IaaS und PaaS?\n\nIaaS und PaaS sind streng genommen keine Alternativen zu SaaS. Vielmehr handelt es sich dabei um Angebote, die für ein anderes Leistungsspektrum stehen. Bei IaaS (Infrastructure as a Service) stellen Dienstleister lediglich die Hardware-Umgebung zur Verfügung, auf der deine Anwendungen laufen. So sparst du dir die Anschaffungskosten für einen eigenen Server.\n\nIaaS legt das Fundament für die Cloud. Die Software aber, die in deinen Projekten zur Anwendung kommen soll, ist nicht Teil eines IaaS-Pakets. Um effektiv arbeiten zu können, benötigst du deswegen ein zuverlässiges IT-Team, das sich um die Auswahl, Implementierung und den reibungslosen Betrieb  deiner Software kümmert.\n\nPlatform as a Service (PaaS) baut auf IaaS auf und geht einen Schritt weiter. Hier stellt der/die Dienstleistungsanbieter(in) neben der Infrastruktur auch ein kollektiv nutzbares Betriebssystem sowie Datenbanken zur Verfügung. Für dich und dein Team bleibt noch der Betrieb der Software, die auf dem Betriebssystem läuft, sowie alle damit verbundenen Aufgaben.\n\nWie aus dieser Erklärung deutlich wird, stellt SaaS kein Gegenmodell zu IaaS oder PaaS dar. Es ist lediglich die logische Fortsetzung und der vorläufige Endpunkt eines Prozesses, bei dem zunehmend mehr Funktionen und Aufgaben in die Cloud wandern. SaaS ist ganz offensichtlich der komfortabelste Weg zur Nutzung einer Vielzahl von Anwendungen und verlangt das geringste Know-how. Doch bedeutet das zugleich, dass es „besser” ist als die beiden anderen Optionen?\n\n## Was ist besser für mich: IaaS, PaaS oder SaaS?\n\nWelche der drei Ansätze für dein Unternehmen optimal ist, hängt von deinen unternehmerischen Zielen ab und davon, wie viel Erfahrung, Fachwissen und Zeit du in Aufbau und Betrieb einer individualisierten IT-Infrastruktur und -Ausstattung investieren kannst und/oder möchtest.\nDie folgenden Punkte können beim Abwägen eine Entscheidungshilfe bieten:\n\nJe geringer die Beteiligung des/der Dienstleisters(in) – und je mehr du dich in Richtung von PaaS und IaaS bewegst - umso mehr Kontrolle bleibt dir. Das kann ein Vorteil sein, wenn du beispielsweise auch weiterhin persönlich auf Probleme reagieren können möchtest, oder du sehr spezifische Ansprüche hast, die im Rahmen von SaaS nicht abgedeckt werden. \t\n\nJe geringer die Beteiligung des/der Dienstleisters(in), umso individueller kannst du deine Software-Lösungen gestalten. In manchen Fällen werden sogar selbst programmierte Anwendungen optimal sein. Dazu bietet sich dann beispielsweise PaaS an: Du outsourced die Hardware und kannst dich voll auf die Entwicklung konzentrieren. \t\n\nJe geringer die Beteiligung des/der Dienstleisters(in), umso erfahrener und kompetenter muss dein IT-Team sein. Vor allem IaaS verlangt als minimalistische Lösung gut ausgebildete Fachkräfte, die auch unter Druck schnell und fehlerfrei arbeiten und für das Unternehmen ein harmonisch abgestimmtes System zusammenstellen können.\n\nDie Grenzen zwischen diesen drei Cloud-Modellen verlaufen indes fließend. Es ist beispielsweise nahezu selbstverständlich, für die Softwareentwicklung  individuelle Software-Angebote zu nutzen, die auf einer SaaS-Basis angeboten werden.\n\nFür die meisten Unternehmen lässt sich durchaus sagen, dass mit der Nutzung von SaaS einige eindeutige Vorteile verbunden sind.\n\n## Was sind die Vorteile von SaaS?\n\nWie erwähnt ist SaaS zweifelsfrei die komfortabelste der drei vorgestellten Software-System-Optionen: Nach dem Abschluss eines Abonnements können du und dein Team zügig auf die Software zugreifen.\n\nDas ist aber nicht der einzige Pluspunkt. In der folgenden Übersicht findest du die wichtigsten SaaS-Vorteile:\n\n- Die Kosten von SaaS sind gegenüber einem vergleichbaren On-Premise-Lizenzmodell einfacher skalierbar und oftmals niedriger. Der Vorteil ist besonders augenscheinlich, wenn du Anwendungen mit einem sehr hohen On-Premise-Anschaffungspreis nur über einen kurzen Zeitraum hinweg nutzen möchtest..\n\n- SaaS erlaubt es dir, Software im laufenden Betrieb zu testen. Oftmals zeigt erst die praktische Nutzung, ob eine Anwendung wirklich ideal für dich ist. Gerade für kleinere Unternehmen mit niedrigem Budget schafft SaaS einfache Einstiegsmöglichkeiten.\n\n- SaaS bietet Zugang zu Updates. Das bedeutet, dass du jederzeit die beste und sicherste Version der Software nutzt.\n\nAuch zu erwähnen ist die Kollaborationsfunktionalität, die besonders hilfreich ist, wenn Mitarbeiter(innen) deines Unternehmens über verschiedene Zeitzonen hinweg mit einer Anwendung arbeiten wollen. Der Zugriff ist mit SaaS jederzeit gewährleistet.\n\n## Wie fällt der Vergleich mit Open-Source-Software aus?\n\nGelegentlich werden SaaS und Open Source einander gegenübergestellt. Das ist irreführend, da die beiden Ansätze einander nicht ausschließen. So gibt es auch Anwendungen, die im Rahmen von SaaS als Freemium angeboten werden. Google Docs haben wir als Beispiel genau hierfür bereits genannt. Andersherum gibt es Open-Source-Konzepte, die über SaaS genutzt werden können.\n\nDennoch stellt sich gelegentlich die Frage, welcher der beiden Alternativen die bessere Wahl darstellt. Vor allem, wenn der Preis das Hauptargument für SaaS ist, erscheint es konsequent zu untersuchen, ob sich mit Open Source nicht noch mehr Kosten einsparen, und noch bessere Ergebnisse erzielen lassen. Genau wie bei der Entscheidung zwischen IaaS, PaaS und SaaS sind auch bei der Gegenüberstellung von Open Source und SaaS Kontrolle und Personalisierung die Hauptaspekte:\n\nOpen-Source-Systeme können speziell auf dein Unternehmen zugeschnitten werden. Das macht sie – eine gute Entwicklung und Planung vorausgesetzt – effizienter. Gleichzeitig verlangen sie eine hohe Eigenbeteiligung, hervorragend ausgebildetes Personal und ausreichend Zeit in der Entwicklungsphase. \t\n\nTheoretisch ist Open Source kostenlos nutzbar. Aber in der Praxis steht dem ein sehr hoher Personaleinsatz gegenüber. Welches Modell hier also ökonomisch sinnvoller ist, lässt sich nur selten eindeutig feststellen. \t\n\nSaaS erlaubt dir, sehr schnell auf veränderte Marktbedingungen zu reagieren. Je nach Abrechnungsmodalität kannst du bereits innerhalb eines Monats zu einer neuen Software wechseln. Nicht als SaaS ausgelieferte Open-Source-Software ist im direkten Vergleich weniger flexibel und die Umstellungszeiten fallen deutlich länger aus. \t\n\nWenn du mehr über die Thematik erfahren möchtest, empfehlen wir dir einen Artikel des Fachmagazins t3n, in dem die 5 häufigsten Mythen zu Open Source beschrieben werden. \n\n## Was ist mit dem Sicherheitsaspekt?\n\nEs wird oftmals bemängelt, dass SaaS ein Sicherheitsrisiko darstellt. Ganz von der Hand zu weisen ist dieser Punkt nicht. Jede Software, die von mehreren Nutzern geteilt und über eine Internetverbindung genutzt wird, birgt das Risiko eines Hackerangriffs oder des Datendiebstahls.\n\nEs gilt aber genauso, dass auch individuelle oder traditionelle lokale Installationen keinen perfekten Schutz bieten. Dies wird ersichtlich, wenn man bedenkt, wie viele große Unternehmen mit hohem IT-Sicherheitsbudget im Laufe der Jahre von Datenverlusten oder Cyber-Angriffen betroffen waren. Auch On-Premise-Software wird in der Regel auf die Cloud oder das Internet zugreifen.\n\nLetzten Endes kann man davon ausgehen, dass SaaS-Anbieter besser darauf vorbereitet sind, die Sicherheit des Systems zu gewährleisten und Abwehrmechanismen stets auf dem aktuellen Stand zu halten, als die meisten Unternehmens-IT-Teams. Ein Security-Defizit von SaaS ist deswegen eher von der Hand zu weisen.\n\n## SaaS-Best-Practises\n\nWie jedes Delivery-Modell hat Software-as-a-Service Vorteile und Nachteile.\nMit der richtigen Strategie aber kannst du die Nachteile umgehen. Hier sind die SaaS-Best-Practises, mit denen du den größtmöglichen Nutzen aus Abo-Modellen ziehst:\n\nSaaS impliziert wie erwähnt einen gewissen Kontrollverlust. Das ist vollkommen unbedenklich, solange die Software die Funktionalität bietet, die du brauchst. Achte aber darauf, dass du nicht in eine Lock-In-Situation gelangst, bei der ein schneller und \tsicherer Wechsel zu einem/r anderen Anbieter(in) nicht mehr möglich ist.\n\nBeschränke dich auf das, was du wirklich brauchst: SaaS ist im direkten Vergleich mit anderen Delivery-Modellen oftmals günstiger. Das sollte aber nicht dazu führen, dass du Abonnements anhäufst. Erwirb nur die Lizenzen, die du wirklich brauchst.\n\nPrüfe regelmäßig, ob die Performance noch passt. Gerade bei sehr beliebter Software kann es bei zu hohen Anwenderzahlen im Rahmen von SaaS zu einem Abfallen der Leistungsfähigkeit kommen. \t\n\nRichte Erinnerungen an die Verlängerungszeitpunkte in deinem Kalender ein und stelle die Software auf den Prüfstand: Macht es wirklich Sinn, sie noch um ein weiteres Jahr zu verlängern? Gibt es bessere oder ebenbürtige Optionen, die zu einem günstigeren Abo-Preis angeboten werden?\n\n## Wie wird sich SaaS auf die Zukunft der Softwareentwicklung auswirken?\n\nSaaS ist eine der wichtigsten Neuerungen für die Software-Delivery. Einerseits hat es die besten Tools deutlich einfacher verfügbar gemacht und somit Eintrittsbarrieren oder Wettbewerbsverzerrungen aufgehoben.\n\nDer Markt für Software war selten demokratischer als er es heute ist. Und das ist zum Großteil SaaS zu verdanken.\nViele der zentralen Aspekte von SaaS werden in Zukunft noch mehr an Bedeutung gewinnen. Hervorzuheben sind hierbei:\n\nGrößere Personalisierung: Der Markt für SaaS ist inzwischen so lukrativ und \tumfangreich, dass sich für nahezu jede Anforderung die passende Anwendung findet. Custom-Lösungen sind in der Regel gar nicht mehr erforderlich.\n\nDie Beziehung zwischen Nutzer(inne)n und Entwickler(inne)n wird immer enger. Agile Softwareentwicklung hat zu einer direkten Kommunikation beigetragen, die dazu führt, dass Angebote mehr auf konkrete Bedürfnisse ausgerichtet werden. Dieser Trend wird die Entwicklung in Zukunft dominieren. \t\n\nNo-Code- oder Low-Code-Anwendungen werden es Unternehmen erlauben, zunehmend selbst Lösungen umzusetzen, die genau ihren Bedürfnissen entsprechen. Mittelfristig werden die Grenzen zwischen Nutzer(inne)n und Entwickler(inne)n ebenso verschwimmen wie zwischen SaaS- und Individuallösungen. \t\n\n## Zukunftstrends im SaaS-Bereich\n\nWir haben es im ersten Absatz bereits angedeutet: Der SaaS-Markt boomt. Für Entwickler(innen) bleibt es auch weiterhin sehr attraktiv, sich bezüglich der eigenen Produkte in diese Richtung zu orientieren.\n\nWohin wird sich der Markt bewegen? Hier sind einige Punkte, die mit sehr großer Wahrscheinlichkeit die nächsten Jahre bestimmen werden:\n__\nMulti-Cloud-Umgebungen und SaaS:__ Der Trend geht eindeutig zur Zweit-Cloud. In Zukunft wird die Arbeit mit einer Vielzahl teils hochspezialisierter Cloud-Anbieter zum Tagesgeschäft gehören. SaaS-Anwendungen werden sich dieser Entwicklung anpassen und zielgerichtete Lösungen für einen optimierten Einsatz bieten.\n__ \t\nContainerisierung:__ Immer mehr Unternehmen optimieren Software durch Containerisierung und Orchestrierung, beispielsweise mittels Kubernetes. Dies wird auch in der Umsetzung von SaaS-Applikationen zum Tragen kommen. \t \t\n__ \t\nPredictive Analytics:__ SaaS erlaubt es dir, ungemein viele und wertvolle Daten über die Nutzung einer Software zu sammeln. Das gilt sowohl für Anwender(innen) als auch für Entwickler(innen). Diese Daten zielführend auszuwerten, ist der Schlüssel zum Erfolg, weil du nur anhand aussagekräftiger Daten sinnvoll auf Kundenbedürfnisse eingehen kannst. \t\n__ \t\nUsage-based Pricing:__ Kosten bleiben auch weiterhin ein starkes Argument für SaaS. So ist zu erwarten, dass es hier zu einer Erweiterung des Marktes um neue Modalitäten kommen wird. Ansätze, bei denen du wirklich nur für das zahlst, was du auch wirklich nutzt, werden sich wahrscheinlich schon bald auf breiter Basis durchsetzen. \t\n\n## SaaS-FAQs\n### Wann sollte ich SaaS nicht nutzen?\n\nSaaS eignet sich für nahezu alle Branchen und Anwendungsbeispiele. Dennoch gibt es Situationen, in denen andere Delivery-Modelle besser geeignet sind.\nHier sind einerseits besonders Anwendungen zu nennen, die ein sehr hohes Maß an Individualisierung erfordern. Zum Beispiel wenn dein Unternehmen sehr eng und langfristig mit verschiedenen Kund(inn)en zusammenarbeitet. Es kann sich lohnen, in die Entwicklung einer eigenen Software zu investieren, um gezielt auf die Bedürfnisse dieser Kund(inn)en einzugehen.\n\nAuch wenn du großen Wert auf Performance, beziehungsweise Geschwindigkeit legst, ist SaaS unter Umständen nicht die ideale Lösung für dich. Wenn deine Software auf deinem eigenen, leistungsfähigen Server läuft, wird sie in der Regel eine bessere Performance aufweisen als ein vergleichbares SaaS-Produkt.\n\n### Ist SaaS wirklich günstiger als On-Premise-Software? \nÜblicherweise ja. Die Einstiegskosten von SaaS sind niedriger, SaaS erlaubt oftmals sehr viel einfacher eine kostenlose bzw. kostenreduzierte Testphase und du kannst das Abonnement für kürzere Zeiträume abschließen und damit Geld sparen.\n\nUpdates und Aktualisierungen auf neue Versionen fallen gegenüber On-Premise-Lizenzen zum Vorteil von SaaS aus. Zudem ist SaaS einfacher skalierbar.\n\nZu bedenken ist aber, dass SaaS-Lizenzen auch bezahlt werden müssen, wenn Mitarbeiter(innen) das Produkt nicht nutzen. Bei nutzungsbedingter Bezahlung wiederum kann das Volumen so hoch ausfallen, dass die hierbei anfallenden Kosten die einer traditionellen Lizenz übersteigen.\n\nEs  dürfen keine Leistungseinbußen durch SaaS hingenommen werden, insofern diese geschäftsschädigend sind. Wenn dir durch die Verwendung langsamer oder nicht voll funktionsfähiger Software Kunden wegbrechen, solltest du den Einsatz von SaaS überdenken.\n\n### Spricht Interoperability gegen SaaS?\n\nInteroperability bezeichnet die Funktions- und Kommunikationsfähigkeit von Software in einer Cloud-Umgebung. Je besser die verschiedenen von dir verwendeten Tools miteinander kombiniert werden können, desto höher ist die Interoperability deines Systems. \n\nIn einer Welt, in der die Cloud zunehmend zum Standard wird, ist Interoperability eine der wichtigsten Entscheidungsgrundlagen. Denn nur, wenn die von dir erworbenen Anwendungen in der Lage sind, ihre Daten fehlerfrei und effizient auszutauschen, kannst du vollen Nutzen aus ihnen ziehen.\n\nSaaS stellt insofern eine Bedrohung für Interoperability dar, als dass du in deinem Portfolio gewiss sehr viel Software verwendest, die von unterschiedlichen Entwickler(inne)n aus unterschiedlichen Branchen und verschiedenen Ländern zur Verfügung gestellt werden. Manche dieser Lösungen sind brandneu, andere bereits mehrere Jahre alt. Wiederum andere stehen vielleicht sogar kurz vor der Terminierung.\n\nAuch wenn du bei SaaS auf Kompatibilität achten solltest, halten wir es für falsch, Interoperability nur hier als ein Risiko zu betrachten. Genauer gesagt, dürfte die Interoperability tendenziell dank SaaS sogar steigen: Weil alle Marktteilnehmer davon profitieren, nimmt die Zahl geteilter Standards eher zu, Netzwerke aufeinander abgestimmter Komponenten bilden sich heraus und der Umstieg auf andere Software wird erleichtert.\n\nZusammenfassend lässt sich also feststellen, dass Interoperability gewiss kein Argument gegen SaaS ist."
  category: Einblicke
  tags:
    - collaboration
    - education
    - cloud native
config:
  slug: software-as-a-service-the-future-of-software-delivery
  featured: false
  template: BlogPost
